Table of Contents
- Introduction
- Information Tags
- String Tags
- Variable Tags

  | · Introduction · set · unset · cset · append · define · undefine · insert · use · formoutput

- URL Tags
- If Tags
- Graphics Tags
- Database Tags
- Programming Tags
- Supports System
- SSI
- htaccess
- Image Maps
- Appendix

<append> |

`<append>` is defined in the Main RXML parser module. Append a value to a variable.

Attributes |
variable, debug, define, from, other, value,

Attributes

`variable`=variable
  The variable to append to.

`debug`
  Provide debug messages in case the operation fails. `<append>` will normally fail silently.

`define`=define
  Append the contents of this define.

`from`=variable
  Append the value of the named variable.

`other`=variable
  Append the value of this other variable. This is mostly useful from within output tags like `<sqloutput>` where all columns from the sql result will be available as other variables.

`value`=string
  Append the variable to this value.

Example

source code

    <set variable=foo value="Hello">
    <append variable=foo value=" World">

    <insert variable=foo>

result | Hello World

</dump_if not cookie=rxml-help>